# Uses of Class
org.eclipse.ant.core.Property

Packages that use Property
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.

## Uses of Property in org.eclipse.ant.core

Methods in org.eclipse.ant.core that return Property
Modifier and Type
Method
Description
`protected Property[]`
AntCorePreferences.`extractProperties(Preferences prefs, String[] properties)`
`Property[]`
AntCorePreferences.`getCustomProperties()`
Returns the custom user properties specified for Ant builds.
Methods in org.eclipse.ant.core that return types with arguments of type Property
Modifier and Type
Method
Description
`List<Property>`
AntCorePreferences.`getDefaultProperties()`
Returns the default properties defined via the properties extension point
`List<Property>`
AntCorePreferences.`getProperties()`
Returns the default and custom properties.
`List<Property>`
AntCorePreferences.`getRemoteAntProperties()`
Returns the default and custom properties that are relevant when there is no Eclipse runtime context (Ant build in a separate VM).
Methods in org.eclipse.ant.core with parameters of type Property
Modifier and Type
Method
Description
`void`
AntCorePreferences.`setCustomProperties(Property[] properties)`
Sets the custom user properties specified for Ant builds.